## edu.stanford.nlp.trees.international.negra
Class NegraPennTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.international.negra.NegraPennTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory, Serializable

    public class NegraPennTreeReaderFactory

extends Object
implements TreeReaderFactory, Serializable

A TreeReaderFactory for the Negra and Tiger treebanks in their Penn Treebank compatible export format.

Author:
  Roger Levy
See Also:
  Serialized Form

Constructor Summary
`NegraPennTreeReaderFactory(int nodeCleanup, boolean treeNormalizerInsertNPinPP, boolean treeNormalizerLeaveGF, TreebankLanguagePack tlp)`
`NegraPennTreeReaderFactory(TreebankLanguagePack tlp)`

Method Summary
`static void` `main(String[] args)`
`TreeReader` `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NegraPennTreeReaderFactory

    public NegraPennTreeReaderFactory(TreebankLanguagePack tlp)

### NegraPennTreeReaderFactory

    public NegraPennTreeReaderFactory(int nodeCleanup,
                                      boolean treeNormalizerInsertNPinPP,
                                      boolean treeNormalizerLeaveGF,
                                      TreebankLanguagePack tlp)

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Description copied from interface: `TreeReaderFactory`
  Create a new `TreeReader` using the provided `Reader`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

### main

    public static void main(String[] args)

  Parameters:
    `args` -

Stanford NLP Group